package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-10-13 9:09
 */
@FeignClient(value = "DAL-TRICK-QMS-DEV",url = "${openfeign.QMSFeign.url}")
public interface QMSFeign {
    @RequestMapping(value = "/api/v1/queueTruck/qmsqueuegrids/getStackingId",method = RequestMethod.POST)
    Map<String,Object> getStackingId(@RequestParam BigDecimal warehouseId,
                                     @RequestParam int size);
}
